%define _default_patch_fuzz        2
%define Werror_cflags %nil


%define module	Gtk2
%define	name	perl-%{module}
%define	version	1.220
%define	release	%mkrel 2
%define perl_glib_require 1.220
%define gtk_require 2.15.2
%define cairo_require 1.00
%define pango_require 1.220

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module for the gtk+-2.x library
License:	GPL or Artistic
Group:	  	Development/GNOME and GTK+
Source:		http://prdownloads.sourceforge.net/gtk2-perl/%{module}-%{version}.tar.bz2
Patch7:		Gtk2-gtk_exit.patch
Patch21:	Gtk2-1.038-xset_input_focus.patch
Patch23:	Gtk2-1.023-exception-trapping.patch 
Patch24:	relocations-2.patch
Patch25:	relocations-fixes.patch
URL:		http://gtk2-perl.sf.net/
BuildRequires:	gtk+2-devel >= %gtk_require
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= %perl_glib_require
BuildRequires:	perl-Cairo >= %cairo_require
BuildRequires:	perl-Pango >= %pango_require
# for test suite:
BuildRequires:	fontconfig
BuildRequires:	fonts-ttf-dejavu
BuildRequires:  x11-server-xvfb
Requires:	gtk+2
Requires:	libgtk+2 => %gtk_require
Requires:	perl-Glib >= %perl_glib_require
#	(misc) needed by /usr/lib/perl5/vendor_perl/5.8.7/i386-linux/Gtk2/Install/Files.pm
Requires:	perl-Cairo >= %cairo_require
Requires:	perl-Pango >= %pango_require
# required to avoid warnings when loading
Suggests:   canberra-gtk
#	Compatibility with mdk <= 9.2:
Conflicts:	drakconf <= 9.3-21mdk
Conflicts:	drakxtools-newt <= 9.3-14mdk
Conflicts:	rpmdrake <= 2.1-24mdk
Conflicts:	userdrake <= 0.92-4mdk
Conflicts:	drakfirsttime <= 0.91-14mdk
Provides:	perl-GTK2 = %{version}-%{release}
Obsoletes:	perl-GTK2 < 0.1
# (tv) libegg's code for status icon was merged in gtk+2.9.x:
Provides:	perl-Gtk2-StatusIcon = %{version}-%{release}
Obsoletes:	perl-Gtk2-StatusIcon <= 0.010
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides perl access to the gtk+-2.x library.

Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%package doc
Summary: Gtk2 documentation
Group: Books/Computer books

%description doc
This package contains documentation of the Gtk2 module.


%prep
%setup -q -n %{module}-%{version}
%patch7 -p0
%patch21 -p0 -b .tv
%patch23 -p0 -b .except
#%patch24 -p0 -b .reloc
#%patch25 -p0 -b .relocfix
perl Makefile.PL INSTALLDIRS=vendor
chmod 755 gtk-demo/*.pl examples/*.pl

%build
%make OPTIMIZE="%{optflags}"

%check
#xvfb-run %make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE
%dir %{perl_vendorarch}/%{module}
%{perl_vendorarch}/%{module}.pm
%{perl_vendorarch}/%{module}/*.pm
%{perl_vendorarch}/%{module}/*/*.pm
%{perl_vendorarch}/%{module}/Install
%{perl_vendorarch}/auto/*

%files doc
%defattr(-, root, root)
%doc gtk-demo examples
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{module}
%{perl_vendorarch}/%{module}/*.pod
%{perl_vendorarch}/%{module}/*/*.pod
%{perl_vendorarch}/%{module}/*/*/*.pod




%changelog
* Wed Mar 25 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.220-2mdv2009.1
+ Revision: 361013
- canberra-gtk is not really required, so alter the hard requires into a suggests (#48577)

* Wed Mar 18 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.220-1mdv2009.1
+ Revision: 357188
- new release

* Wed Mar 11 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.212-1mdv2009.1
+ Revision: 353614
- new release

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.211-3mdv2009.1
+ Revision: 343944
- add a dependency on canberra-gtk to avoid warning when loading

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.211-2mdv2009.1
+ Revision: 343885
- rebuild with latest gtk

* Mon Feb 16 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.211-1mdv2009.1
+ Revision: 340889
- new release

* Fri Jan 16 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.210-1mdv2009.1
+ Revision: 330311
- new release
- require new Pango module
- temporary disable kill-relocations patches
- temporary enable fuzzy patches
- temporary disable Werror_cflags

* Mon Oct 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.202-1mdv2009.1
+ Revision: 297541
- update to new version 1.202

* Mon Oct 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.201-1mdv2009.1
+ Revision: 295506
- update to new version 1.201

* Sat Sep 20 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.200-1mdv2009.0
+ Revision: 286093
- new release (no changes, just tagged as stable)

* Mon Sep 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.193-1mdv2009.0
+ Revision: 282633
- new release

* Mon Sep 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.192-1mdv2009.0
+ Revision: 278183
- new release

* Thu Aug 21 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.191-1mdv2009.0
+ Revision: 274576
- new release

* Fri Jul 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.190-1mdv2009.0
+ Revision: 233662
- update to new version 1.190

* Tue Jun 10 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.183-1mdv2009.0
+ Revision: 217474
- disable test suite again

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version
      allow test to run on headless server

* Mon May 05 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.182-2mdv2009.0
+ Revision: 201498
- BuildRequire fonts-ttf-dejavu for cairo test suite
- BuildRequires fontconfig for test suite
- enable the test suite now that we've a threaded perl

* Mon Apr 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.182-1mdv2009.0
+ Revision: 193157
- bump require on ExtUtils::Depends
- new release

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.173-1mdv2008.1
+ Revision: 166535
- new release

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.172-3mdv2008.1
+ Revision: 166270
- patch 24: greatly reduce number of relocations
- patch 25: fix visibility errors on x86_64

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.172-2mdv2008.1
+ Revision: 151492
- rebuild for perl-5.10.0

* Thu Jan 10 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.172-1mdv2008.1
+ Revision: 147563
- new release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.171-1mdv2008.1
+ Revision: 132421
- new release
- kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.170-1mdv2008.1
+ Revision: 104206
- new release

* Mon Oct 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.161-1mdv2008.1
+ Revision: 98606
- new release

* Tue Sep 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.160-1mdv2008.0
+ Revision: 92720
- disable tests again
- stable release (one improvement in Gtk2::StatusIcon, test suite fixes)
- reenable testsuite

* Thu Aug 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.155-1mdv2008.0
+ Revision: 58210
- new release
- versionnate 2 buildrequires
- no more need to prune CVS directories
- new release

* Mon Jul 30 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.153-1mdv2008.0
+ Revision: 56553
- new release

* Mon Jun 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.152-1mdv2008.0
+ Revision: 44017
- new release


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-2mdv2007.1
+ Revision: 146603
- split out doc

* Tue Mar 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-1mdv2007.1
+ Revision: 143142
- new release

* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.143-1mdv2007.1
+ Revision: 126591
- new release

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.142-1mdv2007.1
+ Revision: 111919
- new release

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.141-1mdv2007.1
+ Revision: 86823
- Import perl-Gtk2

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.141-1mdv2007.1
- new release

* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.140-1mdv2007.0
- new release

* Fri Sep 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.133-1mdv2007.0
- new release

* Fri Aug 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.132-1mdv2007.0
- new release

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.131-1mdv2007.0
- new release

* Fri Jun 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.130-3mdv2007.0
- obsolete perl-Gtk2-StatusIcon (#22856)

* Thu Jun 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.130-2mdv2007.0
- rebuild for gtk+-2.9.x (new bindings)

* Sun May 28 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.130-1mdv2007.0
- 1.130

* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.121-1mdk
- New release 1.121
- spec cleanup

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.120-1mdk
- new release

* Tue Feb 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.116-1mdk
- new release

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.115-1mdk
- new release

* Tue Jan 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.114-1mdk
- new release

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.113-2mdk
- drop patch 9, no more used by DrakX

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.113-1mdk
- new release

* Thu Dec 22 2005 Michael Scherer <misc@mandriva.org> 1.111-2mdk
- Fix Requires

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.111-1mdk
- new release
- build cairo part too

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.101-1mdk
- New release 1.101
- fix doc perms

* Sun Oct 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.100-1mdk
- new release

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.083-2mdk
- rebuild against new gtk+

* Thu Aug 11 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.083-1mdk
- new release

* Fri Jun 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.082-1mdk
- new release

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.081-1mdk
- new release

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.080-1mdk
- new stable release

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.074-1mdk
- new release

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.073-1mdk
- new release

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.072-1mdk
- new release

* Fri Dec 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-2mdk
- rebuild for new gtk+-2.6.x

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-1mdk
- new release

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.070-2mdk
- Rebuild for new perl

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.070-1mdk
- new release

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.054-1mdk
- new release

* Tue Aug 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.053-1mdk
- new release

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.052-1mdk
- new release
- typo fixes

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.051-1mdk
- new release

* Fri Jun 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.050-1mdk
- new release

* Wed May 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-2mdk
- versionnate requires since gtk+ major was kept around all 2.x releases

* Wed Apr 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-1mdk
- new release

* Sat Apr 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.041-1mdk
- new release

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-2mdk
- link with gtk+-2.4.x

* Wed Mar 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-1mdk
- new release
- redo patch 9
- kill patch 27, 28 and 29 (merged upstream)
- patch 23: croak exceptions out of gtk_main too

